Skip to content
POST /unified/ticketing/attachments/download

Query Parameters

Refer Specifying query parameters in Truto APIs

file_urlstring

The URL to download the attachment

42 supported42 required
Accelo
required
Asana
required
Azure DevOps
required
Bitbucket
required
BMC Helix
required
ClickUp
required
Dixa
required
Freshdesk
required
Freshservice
required
Front
required
Gorgias
required
Help Scout
required
Helpshift
required
Hive
required
HubSpot
required
Intercom
required
Jira
required
Jira Service Management
required
Kustomer
required
Linear
required
LiveAgent
required
Microsoft 365
required
Microsoft Planner
required
Missive
required
Monday.com
required
Pivotal Tracker
required
Podium
required
Puzzel Case Management
required
Richpanel
required
Salesforce
required
ServiceNow
required
servicenowitsm
required
Shortcut
required
SolarWinds Service Desk
required
SurveySparrow Ticket Management
required
Teamwork Project Management
required
Todoist
required
Trello
required
Trengo
required
YouTrack
required
Zendesk
required
Zoho Desk
required
idstring

The unique identifier for the attachment

1 supported1 required
Wrike
required
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

Response Body

content_typestring

The content type of the attachment

created_atstring · date-time

The time when the attachment was created

etagstring

The unique identifier for the specific version of the resource.

file_namestring

The attachment's name.

file_urlstring

The URL to download the attachment

idstring

The unique identifier for the attachment

remote_dataRecord<string, any>

Raw data returned from the remote API call.

sizenumber

The file size in bytes

ticket_idstring

The ticket id to which the attachment belongs

References: Tickets → id
updated_atstring · date-time

The time when the attachment was updated

uploaded_bystring

The user who uploaded the attachment

References: Users → id
uploaded_by_typestring

The type of the user who uploaded the attachment

curl -X POST 'https://api.truto.one/unified/ticketing/attachments/download?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/ticketing/attachments/download?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ticketing/attachments/download"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

// Custom method: download
const result = await truto.unifiedApi.download(
  'ticketing',
  'attachments',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    # Custom method: download
    result = await truto_api.unified_api.download(
        "ticketing",
        "attachments",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())